package tech.nevets.dlite;

import javax.swing.*;
import java.awt.*;

public class Notifier {

    public static void messageReceived(JFrame frame) {
        if (!frame.isFocused()) {
            Taskbar.getTaskbar().requestWindowUserAttention(frame);
        }
    }

    public static void errorPopup(String title, String message) {
        JOptionPane.showMessageDialog(null, message, title, JOptionPane.ERROR_MESSAGE);
    }
}
